# Dialog input

A decision block that lets the user enter text.

The fiber will pause until the user has entered text, cancelled the dialog or the timeout expired.

Use input type to control the soft-keyboard layout, allowed characters and capitalization. Support for capitalization may vary depending on keyboard, neither is it enforced so the user may still be able to press shift to override. A regular expression can be set for further validation.

The notification should include a “quick reply” (`RemoteInput`) action on Android 7+ and Wear devices if the regular expression is unspecified or `.+`, and the input type is not a number, date/time, phone number, hidden password, nor capitalized, i.e. just plain text.

Note! The resulting text is always of type text even if the input type is a number, use the to number operator.

## Input arguments

- Title — dialog title, default is no title.
- Input type — mode of input, default is a single row of text without capitalization.
- Regular expression — only allow text matching this regular expression, default is `.+`, i.e. one or more characters. Use `.*` to accept zero or more characters.
- Hint — a hint, or example, text, usually shown when the input field is empty, default is no hint
- Pre-populate — pre-populated text, default is no initial text.
- Suggestions — an array with auto-complete suggestions, default is no suggestions.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Text entered — variable to assign the entered text.